<form [formGroup]="referenceForm">
  <button type="button" class="btn btn-primary mb-3" (click)="addReference()">
    Add
  </button>

  <div formArrayName="referenceFormArray"
    *ngFor="let reference of referenceForm.get('referenceFormArray')?.controls; let i = index">
    <div [formGroupName]="i">
      <fieldset class="form-group">
        <legend>Reference {{i+1}}</legend>

        <div class="row">
          <div class="col-md-12">
            <button class="btn btn-sm btn-danger pull-right" (click)="deleteReference(i)">-</button>
          </div>
        </div>

        <!-- First Row -->
        <div class="row">
          <div class="col-md-4">
            <label>
              {{'REFERENCE_NAME' | translate}}
            </label>
            <input type="text" class="form-control" formControlName="referenceName" />
            <span class="error-msg" *ngIf="(reference.get('referenceName').errors?.required && reference.get('referenceName').touched)
                        || (reference.get('referenceName').errors?.required && submitted)">
              Reference name is required
            </span>
          </div>

          <div class="col-md-4">
            <label>
              {{'COMPANY_NAME' | translate}}
            </label>
            <input type="text" class="form-control" formControlName="compnay" />
            <span class="error-msg" *ngIf="(reference.get('compnay').errors?.required && reference.get('compnay').touched)
                        || (reference.get('compnay').errors?.required && submitted)">
              Company is required
            </span>
          </div>

          <div class="col-md-4">
            <label>
              {{'TITILE' | translate}}
            </label>
            <input type="text" class="form-control" formControlName="title" />
          </div>
        </div>

        <!-- Second Row -->
        <div class="row">
          <div class="col-md-4">
            <label>
              {{'PHONE' | translate}}
            </label>
            <input type="text" class="form-control" formControlName="phone" />
          </div>

          <div class="col-md-4">
            <label>
              {{'EMAIL' | translate}}
            </label>
            <input type="text" class="form-control" formControlName="email" />
          </div>

          <div class="col-md-4">
            <label>
              {{'RELATIONSHIP' | translate}}
            </label>
            <input type="text" class="form-control" formControlName="relationship" />
          </div>
        </div>

      </fieldset>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      <button class="btn btn-outline-primary" (click)="goBack()">
        <i class="fas fa-angle-left"></i> Back
      </button>
      <button class="btn btn-success pull-right" (click)="onSubmit()">
        Next <i class="fas fa-angle-right"></i>
      </button>
    </div>
  </div>
</form>